<?php

declare(strict_types=1);

namespace Dedi\SyliusMaintenancePlugin\Model;

interface ChannelInterface
{
    public function isMaintenanceActivated(): bool;

    public function setMaintenanceActivated(bool $maintenanceActivated): void;

    public function getMaintenanceIpList(): ?string;

    public function setMaintenanceIpList(?string $maintenanceIpList): void;
}
